using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_WenZhangLaiYuan_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加文章来源", "网站后台", "增加文章来源", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("10");

        String 文章来源 = Request.Form["WenZhangLaiYuan"];

        if (文章来源.Length < 1 || 文章来源.Length > 200)
            throw new Exception("文章来源的长度只能是1-200之间。");

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"内容_文章_来源");

        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "内容_文章_来源]([ID],[来源网站])VALUES(@ID,@来源网站)", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ZGID;
        语句.Parameters.Add("@来源网站", SqlDbType.NVarChar).Value = 文章来源;
        语句.ExecuteNonQuery();

        Response.Redirect("WenZhangLaiYuan.aspx");
    }
}
